Subject: [Fot] Big Race at Road America

From: Jason Ostrowski <[email-masked]>
Date: Thu, 14 Jul 2016 23:10:18 -0500

Well my friends... I am about to embark on my biggest race weekend of my career. The big one at road America is this weekend. Brian and I have worked for weeks prepping 3 team cars for the Wethertech International Challenge. We have the Cheetah. The Barracuda. And my time tested baby... The king of GT6's which has be prepared to its highest standard to date! There are 62 cars competing against me in the Triumph. This is it folks. I am poised for a good showing to do our marque proud. I'm so tired from working on these cars that you will not get my usual lofty philosophical breaths of description this time. But I can promise that I have prepared the car to win and the rest is up to the racing Gods and a strong right foot! 
Say a prayer for a Friendly Ghost Racing A+. For the big races we say... Godspeed.
Jason Ostrowski
Friendly Ghost Racing
1969 Triumph GT6+ racecars

Sent from my iPhone
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive